eoIBEASorting(3)

NAME
eoIBEASorting - Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm) without uncertainty Adapted from the Zitzler and Künzli paper 'Indicator-Based Selection in Multiobjective Search' (2004) Of course, Fitness needs to be an eoParetoFitness object.

SYNOPSIS

#include <eoIBEA.h>

Inherits eoIBEA< EOT, Fitness >< EOT, Fitness >.

  Public Member Functions
eoIBEASorting (eoBinaryQualityIndicator< Fitness > *_I, const double _kappa)
constructor

  Private Member Functions
void setBounds (const eoPop< EOT > &_pop)
computation and setting of the bounds for each objective
void fitnesses (const eoPop< EOT > &_pop)
computation and setting of the fitness for each individual of the population

  Private Attributes
double kappa
scaling factor kappa

Detailed Description

  template<class EOT, class Fitness = typename EOT::Fitness> class eoIBEASorting< EOT, Fitness >
Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm) without uncertainty Adapted from the Zitzler and Künzli paper 'Indicator-Based Selection in Multiobjective Search' (2004) Of course, Fitness needs to be an eoParetoFitness object.

Definition at line 94 of file eoIBEA.h.

Constructor & Destructor Documentation

  template<class EOT, class Fitness = typename EOT::Fitness> eoIBEASorting< EOT, Fitness >::eoIBEASorting (eoBinaryQualityIndicator< Fitness > * _I, const double _kappa) [inline]

constructor

Parameters:
    eoBinaryQualityIndicator<EOT>* _I the binary quality indicator to use in the selection process
    double _kappa scaling factor kappa

Definition at line 106 of file eoIBEA.h.

References eoIBEASorting< EOT, Fitness >::kappa.

Member Function Documentation

  template<class EOT, class Fitness = typename EOT::Fitness> void eoIBEASorting< EOT, Fitness >::setBounds (const eoPop< EOT > & _pop) [inline, private, virtual]

computation and setting of the bounds for each objective

Parameters:
    const eoPop<EOT>& _pop the population

Implements eoIBEA< EOT, Fitness >.

Definition at line 134 of file eoIBEA.h.

  template<class EOT, class Fitness = typename EOT::Fitness> void eoIBEASorting< EOT, Fitness >::fitnesses (const eoPop< EOT > & _pop) [inline, private, virtual]

computation and setting of the fitness for each individual of the population

Parameters:
    const eoPop<EOT>& _pop the population

Implements eoIBEA< EOT, Fitness >.

Definition at line 162 of file eoIBEA.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.